#!/usr/bin/perl
use strict;
use DBI;
use Digest::MD5 qw(md5_hex);

#do promnn %hash ulome formulov data
my %hash;
for (split "&", <STDIN>){
    my($k, $h) = split "=";
    $h =~ s/%(..)/chr hex $1/ge;
    $hash{$k} = $h;
}

#tlo dokumentu - bude obsahovat vsledek dotazu
my $telo;
my $dbh = DBI->connect("dbi:mysql:dbname=projekt", "root", "", {RaiseError => 0, PrintError => 0});
if(!$dbh){
    print "Location: stdin_error.cgi?cislo_chyby=1\n\n";
}else{
    my $q = $dbh->prepare("SELECT username, md5passwd, zprava FROM users WHERE UPPER(username)=UPPER(?)");
    $q->execute($hash{"username"});

    if(my($username, $md5passwd, $zprava) = $q->fetchrow_array){
        #vygenerujeme md5 zadanho hesla a porovnme s md5 v databzi
        if(md5_hex($hash{"heslo"}) eq $md5passwd){
            $telo = "<h1>spch!</h1>\n$zprava";
        }else{
            $telo = "<h1>Nesed heslo</h1>";
        }
    }else{
        $telo = "<h1>Uivatel neexistuje</h1>"
    }
}
$dbh->disconnect;

#a nakonec vytiskneme kompletn HTML strnku
print << "HTML";
Content-type: text/html; Charset="iso-8859-2"

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
<HEAD>
    <TITLE>Vsledek</TITLE>
</HEAD>
<BODY>
$telo
</BODY>
</HTML>
HTML
